import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import Icon from './Icon';
import theme from './theme';

var DangerAlertIcon = function DangerAlertIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    Icon,
    props,
    React.createElement(
      'svg',
      { style: { display: 'block' }, width: '100%', height: '100%', viewBox: '0 0 16 16' },
      React.createElement('path', { fill: fill, fillRule: 'evenodd', d: 'M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 14c-3.3 0-6-2.7-6-6s2.7-6 6-6 6 2.7 6 6-2.7 6-6 6zM7 4v5h2V4H7zm1 8a1 1 0 1 0 0-2 1 1 0 0 0 0 2z' })
    )
  );
};

DangerAlertIcon.propTypes = _extends({}, Icon.propTypes);

DangerAlertIcon.defaultProps = _extends({}, Icon.defaultProps, {
  size: 'small',
  fill: theme.colors.danger
});

export default DangerAlertIcon;