import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import objectValues from 'object-values';

var SpaceType = {
  VERTICAL: 'vertical',
  HORIZONTAL: 'horizontal'
};

var parseSpaceProps = function parseSpaceProps(_ref) {
  var step = _ref.step,
      _ref$type = _ref.type,
      type = _ref$type === undefined ? SpaceType.VERTICAL : _ref$type,
      _ref$value = _ref.value,
      value = _ref$value === undefined ? 0 : _ref$value,
      x = _ref.x,
      y = _ref.y,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['step', 'type', 'value', 'x', 'y', 'className']);

  var style = {};

  if (x || type === SpaceType.HORIZONTAL) {
    style.display = 'inline-block';
    style.width = x;
  } else if (y || type === SpaceType.VERTICAL) {
    style.display = 'block';
    style.height = y;
  }

  return _extends({ className: cx('Space', className), style: style }, props);
};

var Space = function Space(_ref2) {
  var _ref2$is = _ref2.is,
      is = _ref2$is === undefined ? 'div' : _ref2$is,
      props = _objectWithoutProperties(_ref2, ['is']);

  return React.createElement(is, parseSpaceProps(props));
};

Space.propTypes = {
  type: PropTypes.oneOf(objectValues(SpaceType)),
  is: PropTypes.string,
  x: PropTypes.number,
  y: PropTypes.number,
  value: PropTypes.number /* px value */
};

Space.displayName = 'Space';

export { Space, SpaceType };