import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import Icon from './Icon';
import theme from './theme';

var WarningAlertIcon = function WarningAlertIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    Icon,
    props,
    React.createElement(
      'svg',
      { style: { display: 'block' }, width: '100%', height: '100%', viewBox: '0 0 16 16' },
      React.createElement('path', { fill: fill, fillRule: 'evenodd', d: 'M15 16H1a1.001 1.001 0 0 1-.895-1.448l7-14c.34-.678 1.449-.678 1.789 0l7 14A1 1 0 0 1 15 16zM7 6h2v4H7V6zm1 7a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm-5.382 1h10.764L8 3.236 2.618 14z' })
    )
  );
};

WarningAlertIcon.propTypes = _extends({}, Icon.propTypes);

WarningAlertIcon.defaultProps = _extends({}, Icon.defaultProps, {
  size: 'small',
  fill: theme.colors.warning
});

export default WarningAlertIcon;