import humanize from 'humanize-number';
import roundTo from 'round-to';

export default function abbreviateNumber(value) {
  if (value >= 1000000000) {
    var num = value / 1000000000; // 1,000,000,000
    num = roundTo(num, 2);
    return humanize(num) + ' B';
  } else if (value >= 1000000) {
    var _num = value / 1000000; // 1,000,000
    _num = roundTo(_num, 2);
    return humanize(_num) + ' M';
  } else if (value >= 1000) {
    var _num2 = value / 1000; // 1,000
    _num2 = roundTo(_num2, 2);
    return humanize(_num2) + ' K';
  } else {
    return humanize(value);
  }
}