import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';

export var propTypes = {
  width: PropTypes.string,
  height: PropTypes.string,
  minWidth: PropTypes.string,
  minHeight: PropTypes.string,
  maxWidth: PropTypes.string,
  maxHeight: PropTypes.string
};

var parseProps = function parseProps(_ref) {
  var width = _ref.width,
      height = _ref.height,
      minWidth = _ref.minWidth,
      minHeight = _ref.minHeight,
      maxWidth = _ref.maxWidth,
      maxHeight = _ref.maxHeight,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['width', 'height', 'minWidth', 'minHeight', 'maxWidth', 'maxHeight', 'style']);

  var styles = {};

  if (width) {
    styles.width = width;
  }

  if (height) styles.height = height;

  if (minWidth) styles.minWidth = minWidth;
  if (minHeight) styles.minHeight = minHeight;
  if (maxWidth) styles.maxWidth = maxWidth;
  if (maxHeight) styles.maxHeight = maxHeight;

  return _extends({ style: _extends({}, styles, style) }, props);
};
export { parseProps };