import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Alert, Pane, theme, Display5, Body1 } from '../components';
import Content from './Content';
var minorScale = theme.minorScale,
    majorScale = theme.majorScale;


export default function alertStory(module) {
  storiesOf('Alert', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Alert\n\nThe Alert component is used as a feedback message. Implements the `<Box />` component.\n\n```\n<Alert>Hooray! You did it. Your Source is now sending data.</Alert>\n<Alert type=\'success\'>Hooray! You did it. Your Source is now sending data.</Alert>\n<Alert type=\'warning\'>Changes will affect all Warehouses.</Alert>\n<Alert type=\'danger\'>We weren\u2019t able to save your changes.</Alert>\n<Alert type=\'question\'>There are over 180 integrations available.</Alert>\n\n<Alert marginBottom={majorScale(2)} type=\'success\'>\n  <Display5>Hooray! You did it. Your Source is now sending data.</Display5>\n  <Body1>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</Body1>\n</Alert>\n```\n\n'
        ),
        React.createElement(
          Alert,
          { marginBottom: majorScale(2) },
          'Hooray! You did it. Your Source is now sending data.'
        ),
        React.createElement(
          Alert,
          { marginBottom: majorScale(2), type: 'success' },
          'Hooray! You did it. Your Source is now sending data.'
        ),
        React.createElement(
          Alert,
          { marginBottom: majorScale(2), type: 'warning' },
          'Changes will affect all Warehouses.'
        ),
        React.createElement(
          Alert,
          { marginBottom: majorScale(2), type: 'danger' },
          'We weren\u2019t able to save your changes.'
        ),
        React.createElement(
          Alert,
          { marginBottom: majorScale(2), type: 'question' },
          'There are over 180 integrations available.'
        ),
        React.createElement(
          Alert,
          { marginBottom: majorScale(2), type: 'success' },
          React.createElement(
            Display5,
            null,
            'Hooray! You did it. Your Source is now sending data.'
          ),
          React.createElement(
            Body1,
            null,
            'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.'
          )
        ),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`type` | naked, success, warning, danger, question | naked | the style of Alert\n`showIcon` | bool | true | show the icon\n`showTrim` | bool | true | show the trim color on the left\n'
        )
      )
    );
  }).add('standalone', function () {
    return React.createElement(Alert, null);
  }).add('with margins', function () {
    return React.createElement(
      Pane,
      { white: true },
      React.createElement(Alert, { margin: minorScale(3) })
    );
  }).add('with width', function () {
    return React.createElement(
      Pane,
      { white: true },
      React.createElement(Alert, { width: '240px', margin: minorScale(3) })
    );
  });
}