import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


export default function appStory(module) {
  storiesOf('App', module).add('usage', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { flexAuto: true, white: true, padding: majorScale(10), clearfix: true },
        React.createElement(
          Content,
          { markdown: true },
          '\n# App *(no longer neccesary)*\n\nThe App component is the start of your app. Everything lives in here.\n\n**This is no longer neccesary!**\n\n* Meant to be the root of a page\n* The root is a Pane with some flex attributes\n* Sets up ThemeProvider with theme\n* Includes `<Fonts />` and `<GlobalStyles />`\n\n**Only one per page allowed.**\n\n```\n<App>\n  ... everything lives in here.\n</App>\n```\n\nprop | type | default | descriptiopn\n-----|------|---------|-------\n`fonts` | element | `<Fonts />` | component that injects global styles\n`globalStyles` | element | `<GlobalStyles theme={theme} />` | component that injects global styles\n'
        )
      )
    );
  });
}