import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, BottomSheet, Pane, Button, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;

var BottomSheetTrigger = function (_React$Component) {
  _inherits(BottomSheetTrigger, _React$Component);

  function BottomSheetTrigger() {
    _classCallCheck(this, BottomSheetTrigger);

    var _this = _possibleConstructorReturn(this, (BottomSheetTrigger.__proto__ || _Object$getPrototypeOf(BottomSheetTrigger)).call(this));

    _this.toggle = _this.toggle.bind(_this);
    _this.state = {
      isOpen: false
    };
    return _this;
  }

  _createClass(BottomSheetTrigger, [{
    key: 'toggle',
    value: function toggle() {
      this.setState({ isOpen: !this.state.isOpen });
    }
  }, {
    key: 'render',
    value: function render() {
      return React.createElement(
        Pane,
        null,
        React.createElement(
          Button,
          { primary: true, onClick: this.toggle },
          'Open BottomSheet'
        ),
        React.createElement(
          BottomSheet,
          {
            title: 'Sheet Title',
            side: this.props.side, isOpen: this.state.isOpen, onClose: this.toggle },
          React.createElement(
            Pane,
            { padding: majorScale(2), height: '800px' },
            'Hello World'
          )
        )
      );
    }
  }]);

  return BottomSheetTrigger;
}(React.Component);

export default function BottomSheetStory(module) {
  storiesOf('Bottom Sheet', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Bottom Sheet\n\nThe BottomSheet component. Implement the `<Pane />` component.\n* TODO: padding top is hardcoded to 62px for content\n\n```\nclass BottomSheetTrigger extends React.Component {\n  constructor() {\n    super()\n    this.toggle = this.toggle.bind(this)\n    this.state = {\n      isOpen: false\n    }\n  }\n\n  toggle() {\n    this.setState({ isOpen: !this.state.isOpen })\n  }\n\n  render() {\n    return (\n      <Pane>\n        <Button primary onClick={this.toggle}>Open BottomSheet</Button>\n        <BottomSheet\n          title=\'Sheet Title\'\n          side={this.props.side} isOpen={this.state.isOpen} onClose={this.toggle}>\n          <Pane padding={majorScale(2)} height=\'800px\'>Hello World</Pane>\n        </BottomSheet>\n      </Pane>\n    )\n  }\n}\n\n<BottomSheetTrigger />\n```\n\n'
        ),
        React.createElement(BottomSheetTrigger, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`isOpen` | boolean | undefined | is the BottomSheet open\n`onClose` | function | undefined | onClose handler to manage state\n`title` | string/node | undefined | gets title styling when string\n`navigationBarLeft` | node | `<BottomSheetCloseButton />` | gets a close handler on the fly\n`navigationBarRight` | node | undefined | right of navigation bar\n'
        )
      )
    );
  }).add('plain', function () {
    return React.createElement(
      App,
      { padding: majorScale(2) },
      React.createElement(BottomSheetTrigger, null)
    );
  }).add('standalone', function () {
    return React.createElement(BottomSheetTrigger, null);
  });
}