import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, CogIcon, Pane, Button, Display4, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


export default function buttonStory(module) {
  storiesOf('Button', module).add('usage', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Button\n\nThe Button component. Implements `<Box />`.\n\n* Set `paddingX=\'0\'` if you are using icons\n\n```\n<Display4 display=\'inline-block\' marginRight={majorScale(1)} marginBottom={majorScale(1)}>Default</Display4>\n<Pane marginBottom={majorScale(2)}>\n  <Button paddingX=\'0\' marginRight={majorScale(1)}><CogIcon /></Button>\n  <Button marginRight={majorScale(1)}>Default Button</Button>\n  <Button primary marginRight={majorScale(1)}>Primary Button</Button>\n  <Button danger marginRight={majorScale(1)}>Danger Button</Button>\n  <Button disabled marginRight={majorScale(1)}>Disabled Button</Button>\n</Pane>\n\n<Display4 display=\'inline-block\' marginRight={majorScale(1)} marginBottom={majorScale(1)}>Small</Display4>\n<Pane>\n  <Button size=\'small\' paddingX=\'0\' marginRight={majorScale(1)}><CogIcon size=\'mini\' /></Button>\n  <Button size=\'small\' marginRight={majorScale(1)}>Default Button</Button>\n  <Button size=\'small\' primary marginRight={majorScale(1)}>Primary Button</Button>\n  <Button size=\'small\' danger marginRight={majorScale(1)}>Danger Button</Button>\n  <Button size=\'small\' disabled marginRight={majorScale(1)}>Disabled Button</Button>\n</Pane>\n```\n'
        ),
        React.createElement(
          Display4,
          { display: 'inline-block', marginRight: majorScale(1), marginBottom: majorScale(1) },
          'Default'
        ),
        React.createElement(
          Pane,
          { marginBottom: majorScale(2) },
          React.createElement(
            Button,
            { paddingX: '0', marginRight: majorScale(1) },
            React.createElement(CogIcon, null)
          ),
          React.createElement(
            Button,
            { marginRight: majorScale(1) },
            'Default Button'
          ),
          React.createElement(
            Button,
            { primary: true, marginRight: majorScale(1) },
            'Primary Button'
          ),
          React.createElement(
            Button,
            { danger: true, marginRight: majorScale(1) },
            'Danger Button'
          ),
          React.createElement(
            Button,
            { disabled: true, marginRight: majorScale(1) },
            'Disabled Button'
          )
        ),
        React.createElement(
          Display4,
          { display: 'inline-block', marginRight: majorScale(1), marginBottom: majorScale(1) },
          'Small'
        ),
        React.createElement(
          Pane,
          null,
          React.createElement(
            Button,
            { size: 'small', paddingX: '0', marginRight: majorScale(1) },
            React.createElement(CogIcon, { size: 'mini' })
          ),
          React.createElement(
            Button,
            { size: 'small', marginRight: majorScale(1) },
            'Default Button'
          ),
          React.createElement(
            Button,
            { size: 'small', primary: true, marginRight: majorScale(1) },
            'Primary Button'
          ),
          React.createElement(
            Button,
            { size: 'small', danger: true, marginRight: majorScale(1) },
            'Danger Button'
          ),
          React.createElement(
            Button,
            { size: 'small', disabled: true, marginRight: majorScale(1) },
            'Disabled Button'
          )
        ),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`size`| v3.0.0 | `small`, `default` | `default` | as defined by `theme.controlSizes`\n`secondary`| v1 | boolean | `true` | renders a secondary button, used by default\n`primary`| v1 | boolean | `undefined` | renders a green primary button\n`danger`| v1 | boolean | `undefined` | renders a pinkish button\n`disabled`| v7.2.0 | boolean | `undefined` | disables the `<button>` and renders it grey\n'
        )
      )
    );
  });
}