import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, Code, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


export default function (module) {
  storiesOf('Code', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Code\n\nThe Code component is an inline code block (not syntax highlighted).\n\n* Always wrap code in a string literal for safety.\n* Always escape the content.\n\n```\nThe <Code>{\'<Popover>\'}</Code> component is pretty cool.\n```\n\n'
        ),
        'The ',
        React.createElement(
          Code,
          null,
          '<Popover>'
        ),
        ' component is pretty cool.'
      )
    );
  });
}