import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React, { Component } from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, Button, CornerDialog, Body1, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;

var CornerDialogExample = function (_Component) {
  _inherits(CornerDialogExample, _Component);

  function CornerDialogExample() {
    _classCallCheck(this, CornerDialogExample);

    var _this = _possibleConstructorReturn(this, (CornerDialogExample.__proto__ || _Object$getPrototypeOf(CornerDialogExample)).call(this));

    _this.state = {
      isOpen: false
    };

    _this.toggleCornerDialog = _this.toggleCornerDialog.bind(_this);
    return _this;
  }

  _createClass(CornerDialogExample, [{
    key: 'render',
    value: function render() {
      var isOpen = this.state.isOpen;


      return React.createElement(
        Pane,
        { display: 'flex', flexDirection: 'column', alignItems: 'center' },
        React.createElement(
          Button,
          { primary: true, onClick: this.toggleCornerDialog },
          'Open CornerDialog'
        ),
        React.createElement(
          CornerDialog,
          { isOpen: isOpen, onClose: this.toggleCornerDialog, title: 'App Redesign' },
          React.createElement(
            Body1,
            null,
            'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.'
          ),
          React.createElement(
            Button,
            { is: 'a', href: '#', primary: true, marginTop: majorScale(2) },
            'Read blog post'
          )
        )
      );
    }
  }, {
    key: 'toggleCornerDialog',
    value: function toggleCornerDialog() {
      this.setState(function (prevState) {
        return { isOpen: !prevState.isOpen };
      });
    }
  }]);

  return CornerDialogExample;
}(Component);

export default function (module) {
  storiesOf('Corner Dialog', module).add('usage', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# CornerDialog\n\nThe CornerDialog component. Implements `<Box />`.\n\n* Default width is `384px`\n\n```\nclass CornerDialogExample extends Component {\n  constructor () {\n    super()\n\n    this.state = {\n      isOpen: false\n    }\n\n    this.toggleCornerDialog = this.toggleCornerDialog.bind(this)\n  }\n\n  render () {\n    const {isOpen} = this.state\n\n    return (\n      <Pane display=\'flex\' flexDirection=\'column\' alignItems=\'center\'>\n        <Button primary onClick={this.toggleCornerDialog}>Open CornerDialog</Button>\n        <CornerDialog isOpen={isOpen} onClose={this.toggleCornerDialog} title=\'App Redesign\'>\n          <Body1>\n            Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.\n          </Body1>\n          <Button is=\'a\' href=\'#\' primary marginTop={majorScale(2)}>\n            Read blog post\n          </Button>\n        </CornerDialog>\n      </Pane>\n    )\n  }\n\n  toggleCornerDialog () {\n    this.setState((prevState) => ({isOpen: !prevState.isOpen}))\n  }\n}\n```\n'
        ),
        React.createElement(CornerDialogExample, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`title`| v7.9.0 | `node` | `undefined` | title of the CornerDialog\n`isOpen`| v7.9.0 | `boolean` | `false` | whether the CornerDialog is open or not\n`children`| v7.9.0 | `node` | `undefined` | contents of the CornerDialog\n`onClose`| v7.9.0 | `function` | `undefined` | [optional] called when the close button or overlay is clicked\n'
        )
      )
    );
  });
}