import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React, { Component } from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, Body1, Button, Dialog, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;

var DialogExample = function (_Component) {
  _inherits(DialogExample, _Component);

  function DialogExample() {
    _classCallCheck(this, DialogExample);

    var _this = _possibleConstructorReturn(this, (DialogExample.__proto__ || _Object$getPrototypeOf(DialogExample)).call(this));

    _this.state = {
      isOpen: false
    };

    _this.toggleDialog = _this.toggleDialog.bind(_this);
    return _this;
  }

  _createClass(DialogExample, [{
    key: 'render',
    value: function render() {
      var isOpen = this.state.isOpen;


      return React.createElement(
        Pane,
        { display: 'flex', flexDirection: 'column', alignItems: 'center' },
        React.createElement(
          Button,
          { primary: true, onClick: this.toggleDialog },
          'Open Dialog'
        ),
        React.createElement(
          Dialog,
          { isOpen: isOpen, onClose: this.toggleDialog, title: 'In-development feature' },
          React.createElement(
            Body1,
            null,
            'We\u2019re excited to have you preview this in-development feature. Note that this feature does not meet the standards of a finished product and should only be used with a source-to-source repeater to ensure data reliability.'
          ),
          React.createElement(
            Button,
            { primary: true, onClick: this.toggleDialog, marginTop: majorScale(3) },
            'I Understand The Risks'
          )
        )
      );
    }
  }, {
    key: 'toggleDialog',
    value: function toggleDialog() {
      this.setState(function (prevState) {
        return { isOpen: !prevState.isOpen };
      });
    }
  }]);

  return DialogExample;
}(Component);

export default function (module) {
  storiesOf('Dialog', module).add('usage', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Dialog\n\nThe Dialog component. Implements `<Box />`.\n\n```\nclass DialogExample extends Component {\n  constructor () {\n    super()\n\n    this.state = {\n      isOpen: false\n    }\n\n    this.toggleDialog = this.toggleDialog.bind(this)\n  }\n\n  render () {\n    const {isOpen} = this.state\n\n    return (\n      <Pane display=\'flex\' flexDirection=\'column\' alignItems=\'center\'>\n        <Button primary onClick={this.toggleDialog}>Open Dialog</Button>\n        <Dialog isOpen={isOpen} onClose={this.toggleDialog} title=\'In-development feature\'>\n          <Body1>\n            We\u2019re excited to have you preview this in-development feature.\n            Note that this feature does not meet the standards of a finished\n            product and should only be used with a source-to-source repeater to\n            ensure data reliability.\n          </Body1>\n          <Button primary onClick={this.toggleDialog} marginTop={majorScale(3)}>\n            I Understand The Risks\n          </Button>\n        </Dialog>\n      </Pane>\n    )\n  }\n\n  toggleDialog () {\n    this.setState((prevState) => ({isOpen: !prevState.isOpen}))\n  }\n}\n```\n'
        ),
        React.createElement(DialogExample, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`title`| v7.1.0 | `node` | `undefined` | title of the dialog\n`isOpen`| v7.1.0 | `boolean` | `false` | whether the dialog is open or not\n`children`| v7.1.0 | `node` | `undefined` | contents of the dialog\n`onClose`| v7.1.0 | `function` | `undefined` | [optional] called when the close button or overlay is clicked\n'
        )
      )
    );
  });
}