import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, ArchiveIcon, Arrow, CheckCircle, Chevron, Close, CogIcon, DoubleTriangle, ExclamationCircle, HelpIcon, PlusCircleIcon, SearchIcon, Triangle, UnarchiveIcon, DangerAlertIcon, QuestionAlertIcon, SuccessAlertIcon, WarningAlertIcon, DragIcon, FilterIcon, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


var Docs = function Docs() {
  return React.createElement(
    Content,
    { markdown: true },
    '\nprop | type | default | description\n-----|------| --------|-------------\n`aim`| up/top, right, down/bottom, left | right | the direction the icon is aiming\n`size` | mini, small, big | mini | the size of the icon\n`fill` | string | dark text color | the fill of the icon\n'
  );
};

export default function iconsStory(module) {
  storiesOf('Icons', module).add('Archive', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Archive\n\nImplements `<Box />`.\n\n```\n<ArchiveIcon />\n```\n\n'
        ),
        React.createElement(ArchiveIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\n  prop | type | default | description\n  -----|------| --------|-------------\n  `size` | mini, small, big | mini | the size of the icon\n  `fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Arrow', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Arrow\n\nThe Arrow icon is a multi purpose directional icon. Implements `<Box />`.\n\n```\n<Arrow aim=\'up\' />\n<Arrow aim=\'right\' />\n<Arrow aim=\'down\' />\n<Arrow aim=\'left\' />\n```\n\n'
        ),
        React.createElement(Arrow, { aim: 'up' }),
        React.createElement(Arrow, { aim: 'right' }),
        React.createElement(Arrow, { aim: 'down' }),
        React.createElement(Arrow, { aim: 'left' }),
        React.createElement(Docs, null)
      )
    );
  }).add('Check Circle', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Check Circle\n\nThe CheckCircle icon is an icon for check marks in the UI. Implements `<Box />`.\n\n```\n<CheckCircle />\n```\n\n'
        ),
        React.createElement(CheckCircle, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | mini | the size of the icon\n`fill` | string | green | the fill of the icon\n          '
        )
      )
    );
  }).add('Chevron', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Chevron\n\nThe Chevron icon is a multi purpose directional icon. Implements `<Box />`.\n\n```\n<Chevron aim=\'up\' />\n<Chevron aim=\'right\' />\n<Chevron aim=\'down\' />\n<Chevron aim=\'left\' />\n```\n\n'
        ),
        React.createElement(Chevron, { aim: 'up' }),
        React.createElement(Chevron, { aim: 'right' }),
        React.createElement(Chevron, { aim: 'down' }),
        React.createElement(Chevron, { aim: 'left' }),
        React.createElement(Docs, null)
      )
    );
  }).add('Close', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Close\n\nThe Close icon is a base for close buttons. Implements `<Box />`.\n\n```\n<Close />\n```\n\n'
        ),
        React.createElement(Close, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | mini | the size of the icon\n`fill` | string | dark text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Cog', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Cog\n\nThe Cog icon is often used settings. Implements `<Box />`.\n\n```\n<CogIcon />\n```\n\n'
        ),
        React.createElement(CogIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Double Triangle', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Double Triangle\n\nThe DoubleTriangle icon is a icon for select\'s. Implements `<Box />`.\n\n```\n<DoubleTriangle />\n```\n\n'
        ),
        React.createElement(DoubleTriangle, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | mini | the size of the icon\n`fill` | string | dark text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Exclamation Circle', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Exclamation Circle\n\nThe ExclamationCircle icon is a icon for input warnings. Implements `<Box />`.\n\n```\n<ExclamationCircle />\n```\n\n'
        ),
        React.createElement(ExclamationCircle, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | mini | the size of the icon\n`fill` | string | dark text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Filter', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Filter\n\nThe Filter icon is often used for showing/hiding filtering controls. Implements `<Box />`.\n\n```\n<FilterIcon />\n```\n\n'
        ),
        React.createElement(FilterIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Help', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Help\n\nThe Help icon is often used as a trigger for tooltips. Implements `<Box />`.\n\n```\n<HelpIcon />\n```\n\n'
        ),
        React.createElement(HelpIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Plus Circle', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Plus Circle\n\nThe Plus Circle icon is often used for in an add button. Implements `<Box />`.\n\n```\n<PlusCircleIcon />\n```\n\n'
        ),
        React.createElement(PlusCircleIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Search', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Search\n\nThe Search icon is an icon for search inputs in the UI. Implements `<Box />`.\n\n```\n<SearchIcon />\n```\n\n'
        ),
        React.createElement(SearchIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | mini | the size of the icon\n`fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Drag', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Drag\n\nThe Drag icon is an icon for draggable elements in the UI. Implements `<Box />`.\n\n```\n<DragIcon />\n```\n\n'
        ),
        React.createElement(DragIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`stroke` | string | text color | the stroke color of the icon\n          '
        )
      )
    );
  }).add('Triangle', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Triangle\n\nThe Triangle icon is a multi purpose directional icon. Implements `<Box />`.\n\n```\n<Triangle aim=\'up\' />\n<Triangle aim=\'right\' />\n<Triangle aim=\'down\' />\n<Triangle aim=\'left\' />\n<Triangle aim=\'right\' transform=\'translateY(-50%)\' />\n```\n\n'
        ),
        React.createElement(Triangle, { aim: 'up' }),
        React.createElement(Triangle, { aim: 'right' }),
        React.createElement(Triangle, { aim: 'down' }),
        React.createElement(Triangle, { aim: 'left' }),
        React.createElement(Triangle, { aim: 'right', transform: 'translateY(-50%)' }),
        React.createElement(Docs, null)
      )
    );
  }).add('Unarchive', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Unarchive\n\nImplements `<Box />`.\n\n```\n<ArchiveIcon />\n```\n\n'
        ),
        React.createElement(UnarchiveIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\n  prop | type | default | description\n  -----|------| --------|-------------\n  `size` | mini, small, big | mini | the size of the icon\n  `fill` | string | text color | the fill of the icon\n          '
        )
      )
    );
  }).add('Danger Alert', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Danger Alert\n\nThe Danger Alert Icon is used in the `<Alert type=\'danger\' />` component.\n\nImplements `<Box />`.\n\n```\n<DangerAlertIcon />\n```\n\n'
        ),
        React.createElement(DangerAlertIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | danger color | the fill of the icon\n          '
        )
      )
    );
  }).add('Question Alert', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Question Alert\n\nThe Question Alert Icon is used in the `<Alert type=\'question\' />` component.\n\nImplements `<Box />`.\n\n```\n<QuestionAlertIcon />\n```\n\n'
        ),
        React.createElement(QuestionAlertIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | question color | the fill of the icon\n          '
        )
      )
    );
  }).add('Success Alert', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Success Alert\n\nThe Success Alert Icon is used in the `<Alert type=\'success\' />` component.\n\nImplements `<Box />`.\n\n```\n<SuccessAlertIcon />\n```\n\n'
        ),
        React.createElement(SuccessAlertIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | success color | the fill of the icon\n          '
        )
      )
    );
  }).add('Warning Alert', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Warning Alert\n\nThe Warning Alert Icon is used in the `<Alert type=\'warning\' />` component.\n\nImplements `<Box />`.\n\n```\n<WarningAlertIcon />\n```\n\n'
        ),
        React.createElement(WarningAlertIcon, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`size` | mini, small, big | small | the size of the icon\n`fill` | string | warning color | the fill of the icon\n          '
        )
      )
    );
  });
}