import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Input, Pane, Display4, theme } from '../components';
import Content from './Content';
var minorScale = theme.minorScale,
    majorScale = theme.majorScale;


export default function inputStory(module) {
  storiesOf('Input', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Input\n\nThe Input component is an `input` element. Implement the `<Box />` component.\n\n```\n<Input placeholder=\'Let us know why\' marginY={majorScale(2)} />\n<Input warning placeholder=\'Let us know why\' marginY={majorScale(2)} />\n\n<Input size=\'small\' placeholder=\'Let us know why\' marginY={majorScale(2)} />\n<Input size=\'small\' warning placeholder=\'Let us know why\' marginY={majorScale(2)} />\n\n<Input disabled placeholder=\'Let us know why\' marginY={majorScale(2)} />\n```\n\n'
        ),
        React.createElement(
          Display4,
          { marginRight: majorScale(1), marginY: majorScale(2) },
          'Default'
        ),
        React.createElement(Input, { placeholder: 'Let us know why', marginY: majorScale(2) }),
        React.createElement(Input, { warning: true, placeholder: 'Let us know why', marginY: majorScale(2) }),
        React.createElement(
          Display4,
          { marginRight: majorScale(1), marginY: majorScale(2) },
          'Small'
        ),
        React.createElement(Input, { size: 'small', placeholder: 'Let us know why', marginY: majorScale(2) }),
        React.createElement(Input, { size: 'small', warning: true, placeholder: 'Let us know why', marginY: majorScale(2) }),
        React.createElement(
          Display4,
          { marginRight: majorScale(1), marginY: majorScale(2) },
          'Disabled'
        ),
        React.createElement(Input, { disabled: true, placeholder: 'Let us know why', marginY: majorScale(2) }),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|-------------\n`size`| v3.0.0 | `default`, `small` | `default` | as defined by `theme.controlSizes`\n`warning` | v2 | boolean | undefined | toggles `<ExclamationCircle />` on the side\n'
        )
      )
    );
  }).add('standalone', function () {
    return React.createElement(Input, null);
  }).add('with margins', function () {
    return React.createElement(
      Pane,
      { white: true },
      React.createElement(Input, { margin: minorScale(3) })
    );
  }).add('with width', function () {
    return React.createElement(
      Pane,
      { white: true },
      React.createElement(Input, { width: '240px', margin: minorScale(3) })
    );
  });
}