import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, Pill, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


export default function (module) {
  storiesOf('Pill', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Pill\n\nThe Pill component is a pill-shaped block element.\n\n```\n<Pill>{\'<Pill>\'}</Pill>\n```\n\n'
        ),
        React.createElement(
          Pill,
          null,
          '<Pill>'
        ),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`backgroundColor`| v7.13.0 | `string` | `#E365A6` | pill background color\n`textColor`| v7.13.0 | `string` | `white` | pill text color\n`height`| v7.13.0 | `string` | `17px` | height: x;\n`width`| v7.13.0 | `string` | `70px` | width: x;\n'
        )
      )
    );
  });
}