import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, SegmentLogo, SegmentIcon, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


export default function paneStory(module) {
  storiesOf('Segment Logo and Icon', module).add('usage', function () {
    return React.createElement(
      App,
      null,
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n  # Segment Logo and Icon\n\n  The SegmentLogo and SegmentIcon component both implement `<Box />`.\n\n  ```\n  <SegmentLogo width=\'106px\' display=\'inline-block\' marginRight={4} />\n  <SegmentIcon width=\'25px\' display=\'inline-block\' />\n  ```\n\n  '
        ),
        React.createElement(SegmentLogo, { width: '106px', display: 'inline-block', marginRight: majorScale(2) }),
        React.createElement(SegmentIcon, { width: '25px', display: 'inline-block' })
      )
    );
  }).add('Segment Logo', function () {
    return React.createElement(SegmentLogo, { width: '106px' });
  }).add('Segment Icon', function () {
    return React.createElement(SegmentIcon, { width: '25px' });
  });
}