import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Sheet, Pane, Button, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;

var SheetTrigger = function (_React$Component) {
  _inherits(SheetTrigger, _React$Component);

  function SheetTrigger() {
    _classCallCheck(this, SheetTrigger);

    var _this = _possibleConstructorReturn(this, (SheetTrigger.__proto__ || _Object$getPrototypeOf(SheetTrigger)).call(this));

    _this.toggle = _this.toggle.bind(_this);
    _this.state = {
      isOpen: false
    };
    return _this;
  }

  _createClass(SheetTrigger, [{
    key: 'toggle',
    value: function toggle() {
      this.setState({ isOpen: !this.state.isOpen });
    }
  }, {
    key: 'render',
    value: function render() {
      return React.createElement(
        Pane,
        null,
        React.createElement(
          Button,
          { primary: true, onClick: this.toggle },
          'Open Sheet'
        ),
        React.createElement(
          Sheet,
          { isOpen: this.state.isOpen, onClose: this.toggle },
          React.createElement(
            Pane,
            { padding: true },
            'Hello World'
          )
        )
      );
    }
  }]);

  return SheetTrigger;
}(React.Component);

export default function sheetStory(module) {
  storiesOf('Sheet', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Sheet\n\nThe Sheet component. Implement the `<Pane />` component.\n* Don\'t put spacing on the Sheet itself, the close button will me misaligned\n\n```\nclass SheetTrigger extends React.Component {\n  constructor() {\n    super()\n    this.toggle = this.toggle.bind(this)\n    this.state = {\n      isOpen: false\n    }\n  }\n\n  toggle() {\n    this.setState({ isOpen: !this.state.isOpen })\n  }\n\n  render() {\n    return (\n      <Pane>\n        <Button primary onClick={this.toggle}>Open Sheet</Button>\n        <Sheet isOpen={this.state.isOpen} onClose={this.toggle}>\n          <Pane padding>Hello World</Pane>\n        </Sheet>\n      </Pane>\n    )\n  }\n}\n\n<SheetTrigger />\n```\n\n'
        ),
        React.createElement(SheetTrigger, null),
        React.createElement(
          Content,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`isOpen` | boolean | undefined | is the sheet open\n`onClose` | function | undefined | onClose handler to manage state\n`width`| string | `680px` | width of the Sheet\n'
        )
      )
    );
  }).add('standalone', function () {
    return React.createElement(SheetTrigger, null);
  });
}