'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Fonts = require('./Fonts');

var _Fonts2 = _interopRequireDefault(_Fonts);

var _GlobalStyles = require('./GlobalStyles');

var _GlobalStyles2 = _interopRequireDefault(_GlobalStyles);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _Pane = require('./Pane');

var _Pane2 = _interopRequireDefault(_Pane);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var App = function App(_ref) {
  var children = _ref.children,
      reset = _ref.reset,
      fonts = _ref.fonts,
      globalStyles = _ref.globalStyles,
      props = _objectWithoutProperties(_ref, ['children', 'reset', 'fonts', 'globalStyles']);

  return _react2.default.createElement(
    _Pane2.default,
    _extends({ className: 'UIApp', minHeight: '100%', width: '100%', display: 'flex', flexAuto: true, flexDirection: 'column' }, props),
    fonts,
    globalStyles,
    children
  );
};

App.propTypes = {
  children: _propTypes2.default.any,
  reset: _propTypes2.default.element,
  fonts: _propTypes2.default.element,
  globalStyles: _propTypes2.default.element
};

App.defaultProps = {
  fonts: _react2.default.createElement(_Fonts2.default, null),
  globalStyles: _react2.default.createElement(_GlobalStyles2.default, { theme: _theme2.default })
};

exports.default = App;