'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _glamor = require('glamor');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _evergreenButtons = require('evergreen-buttons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var majorScale = _theme2.default.majorScale;


var getStyle = function getStyle(_ref) {
  var primary = _ref.primary,
      secondary = _ref.secondary,
      danger = _ref.danger;

  if (primary) return (0, _glamor.css)(_evergreenButtons.ButtonAppearances.green);
  if (danger) return (0, _glamor.css)(_evergreenButtons.ButtonAppearances.red);
  if (secondary) return (0, _glamor.css)(_evergreenButtons.ButtonAppearances.default); /* default */
  return '';
};

var baseStyles = (0, _glamor.css)({
  textTransform: 'capitalize',
  border: 0,
  fontWeight: 400,
  textDecoration: 'none',
  WebkitAppearance: 'none',
  transition: _theme2.default.animationDuration.faster,
  transitionProperty: 'background-color, color, box-shadow, opacity',
  cursor: 'pointer',
  whiteSpace: 'nowrap',
  userSelect: 'none',
  verticalAlign: 'middle',
  borderRadius: 4,
  '&:active, &:focus': {
    outline: 'none'
  }
});

function useControlSizes(_ref2) {
  var size = _ref2.size,
      props = _objectWithoutProperties(_ref2, ['size']);

  var sizes = _theme2.default.controlSizes[size];
  var paddingX = {
    small: majorScale(2),
    default: majorScale(3)
  };

  return _extends({
    minHeight: sizes.minHeight,
    minWidth: sizes.minWidth,
    textStyle: sizes.textStyle,
    paddingX: paddingX[size]
  }, props);
}

var parseProps = function parseProps(_ref3) {
  var className = _ref3.className,
      primary = _ref3.primary,
      secondary = _ref3.secondary,
      danger = _ref3.danger,
      props = _objectWithoutProperties(_ref3, ['className', 'primary', 'secondary', 'danger']);

  return _extends({
    className: (0, _classnames2.default)('' + baseStyles, '' + getStyle({ primary: primary, secondary: secondary, danger: danger }), className)
  }, props);
};

var Button = function Button(props) {
  return _react2.default.createElement(_Box2.default, parseProps(useControlSizes(props)));
};

Button.propTypes = _extends({}, _Box2.default.propTypes, {
  primary: _propTypes2.default.bool,
  secondary: _propTypes2.default.bool,
  danger: _propTypes2.default.bool,
  size: _propTypes2.default.oneOf(Object.keys(_theme2.default.controlSizes))
});

Button.defaultProps = {
  is: 'button',
  display: 'inline-flex',
  alignItems: 'center',
  justifyContent: 'center',
  size: 'default',
  secondary: true
};

Button.displayName = 'Button';

exports.default = Button;