'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Pane = require('./Pane');

var _Pane2 = _interopRequireDefault(_Pane);

var _glamor = require('glamor');

var _light = require('react-syntax-highlighter/dist/light');

var _light2 = _interopRequireDefault(_light);

var _docco = require('react-syntax-highlighter/dist/styles/docco');

var _docco2 = _interopRequireDefault(_docco);

var _gradle = require('react-syntax-highlighter/dist/languages/gradle');

var _gradle2 = _interopRequireDefault(_gradle);

var _java = require('react-syntax-highlighter/dist/languages/java');

var _java2 = _interopRequireDefault(_java);

var _javascript = require('react-syntax-highlighter/dist/languages/javascript');

var _javascript2 = _interopRequireDefault(_javascript);

var _objectivec = require('react-syntax-highlighter/dist/languages/objectivec');

var _objectivec2 = _interopRequireDefault(_objectivec);

var _xml = require('react-syntax-highlighter/dist/languages/xml');

var _xml2 = _interopRequireDefault(_xml);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var minorScale = _theme2.default.minorScale,
    majorScale = _theme2.default.majorScale;


(0, _light.registerLanguage)('gradle', _gradle2.default);
(0, _light.registerLanguage)('java', _java2.default);
(0, _light.registerLanguage)('javascript', _javascript2.default);
(0, _light.registerLanguage)('objectivec', _objectivec2.default);
(0, _light.registerLanguage)('xml', _xml2.default);

var segmentStyle = _extends({}, _docco2.default, {
  hljs: _extends({}, _docco2.default.hljs, {
    background: 'transparent',
    padding: majorScale(1) + ' ' + minorScale(3)
  })
});

var styles = {
  '& > pre': {
    margin: 0
  }
};

var CodeBlock = function CodeBlock(_ref) {
  var children = _ref.children,
      codeStyle = _ref.codeStyle,
      language = _ref.language,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['children', 'codeStyle', 'language', 'style']);

  return _react2.default.createElement(
    _Pane2.default,
    _extends({}, (0, _glamor.css)(styles), props),
    _react2.default.createElement(
      _light2.default,
      { language: language, style: codeStyle },
      children
    )
  );
};

CodeBlock.propTypes = _extends({}, _Pane2.default.propTypes, _light2.default.propTypes);

CodeBlock.defaultProps = {
  overflow: 'hidden',
  textAlign: 'left',
  tint: true,
  rounded: true,
  border: true,
  textStyle: 'mono',
  language: 'javascript',
  codeStyle: segmentStyle
};

exports.default = CodeBlock;