'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _glamor = require('glamor');

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _Close = require('./Close');

var _Close2 = _interopRequireDefault(_Close);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _offscreenCss = require('./utils/offscreenCss');

var _offscreenCss2 = _interopRequireDefault(_offscreenCss);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var majorScale = _theme2.default.majorScale,
    minorScale = _theme2.default.minorScale,
    borderRadius = _theme2.default.borderRadius,
    colors = _theme2.default.colors,
    rawColors = _theme2.default.rawColors,
    textStyles = _theme2.default.textStyles;


var mainCss = (0, _glamor.css)({
  position: 'fixed',
  bottom: majorScale(2),
  right: majorScale(2),
  borderRadius: borderRadius[1],
  background: colors.white,
  animationDuration: _theme2.default.animationDuration.slow,
  animationTimingFunction: _theme2.default.animationEasing.spring,
  animationFillMode: 'forwards'
});

var titleCss = (0, _glamor.css)(_extends({
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'space-between',
  padding: minorScale(3) + ' ' + minorScale(5),
  borderBottom: '1px solid ' + colors.borderColor
}, textStyles.display4));

var buttonCss = (0, _glamor.css)({
  padding: majorScale(1),
  marginRight: '-' + majorScale(1),
  background: 'none',
  cursor: 'pointer',
  color: rawColors.grey300,
  lineHeight: 0,
  ':hover, :focus': {
    outline: 'none',
    color: rawColors.grey400
  }
});

var openAnimation = _glamor.css.keyframes('openAnimation', {
  from: {
    transform: 'translateY(100%)',
    opacity: 0
  },
  to: {
    transform: 'translateY(0%)',
    opacity: 1
  }
});

var closeAnimation = _glamor.css.keyframes('closeAnimation', {
  from: {
    transform: 'translateY(0%)',
    opacity: 1
  },
  to: {
    transform: 'translateY(100%)',
    opacity: 0
  }
});

var parseProps = function parseProps(_ref) {
  var className = _ref.className,
      children = _ref.children,
      title = _ref.title,
      isOpen = _ref.isOpen,
      onClose = _ref.onClose,
      props = _objectWithoutProperties(_ref, ['className', 'children', 'title', 'isOpen', 'onClose']);

  return props;
};

var CornerDialog = function (_Component) {
  _inherits(CornerDialog, _Component);

  function CornerDialog(props) {
    _classCallCheck(this, CornerDialog);

    var _this = _possibleConstructorReturn(this, (CornerDialog.__proto__ || Object.getPrototypeOf(CornerDialog)).call(this));

    _this.state = {
      isMounted: props.isOpen,
      isClosing: false
    };

    _this.handleFadeEnd = _this.handleFadeEnd.bind(_this);
    return _this;
  }

  _createClass(CornerDialog, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (!this.props.isOpen && nextProps.isOpen) {
        this.setState({ isMounted: true, isClosing: false });
      }

      if (this.props.isOpen && !nextProps.isOpen) {
        this.setState({ isMounted: true, isClosing: true });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          onClose = _props.onClose,
          children = _props.children;
      var _state = this.state,
          isMounted = _state.isMounted,
          isClosing = _state.isClosing;


      if (!isMounted) return null;

      var style = {
        animationName: '' + (isClosing ? closeAnimation : openAnimation)
      };

      return _react2.default.createElement(
        _Box2.default,
        _extends({}, parseProps(this.props), {
          is: 'section',
          shadow: true,
          className: '' + mainCss,
          style: style,
          role: 'dialog',
          'aria-label': title
        }),
        _react2.default.createElement(
          _Box2.default,
          { is: 'h2', className: '' + titleCss },
          title,
          onClose && _react2.default.createElement(
            _Box2.default,
            { is: 'button', className: '' + buttonCss, onClick: onClose },
            _react2.default.createElement(
              'div',
              { className: '' + _offscreenCss2.default },
              'Close'
            ),
            _react2.default.createElement(_Close2.default, { width: minorScale(3), height: minorScale(3) })
          )
        ),
        _react2.default.createElement(
          _Box2.default,
          { paddingLeft: minorScale(5), paddingRight: minorScale(5), paddingBottom: minorScale(5), paddingTop: minorScale(3) },
          children
        )
      );
    }
  }, {
    key: 'handleFadeEnd',
    value: function handleFadeEnd() {
      if (!this.state.isClosing) return;
      this.setState({ isMounted: false, isClosing: false });
    }
  }]);

  return CornerDialog;
}(_react.Component);

CornerDialog.propTypes = _extends({}, _Box2.default.propTypes, {
  title: _propTypes2.default.node.isRequired,
  isOpen: _propTypes2.default.bool.isRequired,
  children: _propTypes2.default.node.isRequired,
  onClose: _propTypes2.default.func
});

CornerDialog.defaultProps = {
  width: majorScale(48),
  isOpen: false
};

CornerDialog.displayName = 'CornerDialog';

exports.default = CornerDialog;