'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var majorScale = _theme2.default.majorScale;
var minorScale = _theme2.default.minorScale;


var IconSize = {
  mini: minorScale(3),
  small: majorScale(2),
  big: majorScale(3)
};

var Icon = function Icon(_ref) {
  var size = _ref.size,
      props = _objectWithoutProperties(_ref, ['size']);

  var realSize = IconSize.hasOwnProperty(size) ? IconSize[size] : size;

  return _react2.default.createElement(_Box2.default, _extends({ is: 'span', width: realSize, height: realSize }, props));
};

Icon.propTypes = {
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.oneOf(Object.keys(IconSize))]),
  fill: _propTypes2.default.string
};

Icon.defaultProps = {
  size: 'mini',
  fill: 'currentColor',
  stroke: 'currentColor',
  display: 'inline-block'
};

exports.default = Icon;