'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _glamor = require('glamor');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Text = require('./Text');

var _Text2 = _interopRequireDefault(_Text);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var getStyle = function getStyle(_ref) {
  var primary = _ref.primary,
      secondary = _ref.secondary,
      danger = _ref.danger;

  var intent = void 0;

  if (danger) intent = _theme2.default.intent.danger;else if (secondary) intent = _theme2.default.intent.secondary;else if (primary) intent = _theme2.default.intent.primary;

  if (!intent) return '';

  return (0, _glamor.css)({
    color: intent.default.linkColor,
    '&:hover': {
      color: intent.hover.linkColor
    },
    '&:focus': {
      color: intent.focus.linkColor
    },
    '&:active, &.active': {
      color: intent.active.linkColor
    }
  });
};

var baseStyles = (0, _glamor.css)({
  transition: 50,
  transitionProperty: 'background-color, color, box-shadow, opacity',
  textDecoration: 'none',
  '&.underline': {
    textDecoration: 'underline'
  },
  '&:active, &:focus': {
    outline: 'none'
  }
});

var parseProps = function parseProps(_ref2) {
  var underline = _ref2.underline,
      active = _ref2.active,
      primary = _ref2.primary,
      secondary = _ref2.secondary,
      danger = _ref2.danger,
      naked = _ref2.naked,
      className = _ref2.className,
      props = _objectWithoutProperties(_ref2, ['underline', 'active', 'primary', 'secondary', 'danger', 'naked', 'className']);

  return _extends({
    className: (0, _classnames2.default)('' + baseStyles, '' + getStyle({ primary: primary, secondary: secondary, naked: naked, danger: danger }), underline && 'underline', active && 'active', className),
    is: active ? 'span' : 'a'
  }, props);
};

var Link = function Link(props) {
  return _react2.default.createElement(_Text2.default, parseProps(props));
};

Link.propTypes = _extends({}, _Text2.default.propTypes, {
  underline: _propTypes2.default.bool,
  primary: _propTypes2.default.bool,
  secondary: _propTypes2.default.bool,
  danger: _propTypes2.default.bool,
  active: _propTypes2.default.bool
});

Link.defaultProps = {
  // underline: true,
  primary: true
};

Link.displayName = 'Link';

exports.default = Link;