'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var getValue = function getValue(val) {
  return Number.isInteger(val) ? val : '';
};

var parseShorthand = function parseShorthand(_ref) {
  var dark = _ref.dark,
      tint = _ref.tint,
      white = _ref.white;

  if (white) return { background: 'white' };
  if (tint) return { background: 'tint' + getValue(tint) };
  if (dark) return { background: 'dark' };
  return {};
};

var Pane = function Pane(_ref2) {
  var dark = _ref2.dark,
      tint = _ref2.tint,
      white = _ref2.white,
      props = _objectWithoutProperties(_ref2, ['dark', 'tint', 'white']);

  return _react2.default.createElement(_Box2.default, _extends({}, parseShorthand({ dark: dark, tint: tint, white: white }), props));
};

Pane.propTypes = _extends({}, _Box2.default.propTypes, {
  dark: _propTypes2.default.bool,
  tint: _propTypes2.default.oneOfType([_propTypes2.default.bool, _propTypes2.default.oneOf([1, 2])]),
  white: _propTypes2.default.bool
});

Pane.displayName = 'Pane';

Pane.defaultProps = {
  theme: _theme2.default
};

exports.default = Pane;