'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _glamor = require('glamor');

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _TextStyles = require('./TextStyles');

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _splitProps2 = require('./utils/splitProps');

var _splitProps3 = _interopRequireDefault(_splitProps2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var minorScale = _theme2.default.minorScale,
    majorScale = _theme2.default.majorScale;


var labelStyles = (0, _glamor.css)({
  cursor: 'pointer'
});

var inputStyles = (0, _glamor.css)({
  left: 0,
  opacity: 0,
  position: 'absolute',
  top: 0,
  zIndex: -1,
  '&:disabled + span': {
    backgroundColor: _theme2.default.colors.borderColor
  },
  '&:checked + span::before': {
    content: '""',
    position: 'absolute',
    height: '6px',
    width: '6px',
    top: '50%',
    left: '50%',
    transform: 'translate(-50%, -50%)',
    borderRadius: '50%',
    display: 'block',
    backgroundColor: _theme2.default.colors.activeColor
  }
});

var controlStyles = (0, _glamor.css)({
  position: 'relative',
  top: '3px',
  height: majorScale(2),
  width: majorScale(2),
  borderRadius: '50%',
  boxShadow: 'inset 0 0 0 1px ' + _theme2.default.colors.borderColor,
  display: 'inline-block',
  marginRight: minorScale(3)
});

var Radio = function Radio(_ref) {
  var className = _ref.className,
      label = _ref.label,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['className', 'label', 'children']);

  // Tries to treat this component as a single box
  var _splitProps = (0, _splitProps3.default)(props, /margin|width|height|display|position/gi),
      matchedProps = _splitProps.matchedProps,
      unmatchedProps = _splitProps.unmatchedProps;

  return _react2.default.createElement(
    _Box2.default,
    _extends({ is: 'label' }, matchedProps, labelStyles),
    _react2.default.createElement('input', _extends({ type: 'radio' }, inputStyles, unmatchedProps)),
    _react2.default.createElement('span', controlStyles),
    _react2.default.createElement(
      _TextStyles.Body1,
      { is: 'span' },
      children
    )
  );
};

Radio.propTypes = {
  children: _propTypes2.default.string,
  name: _propTypes2.default.string.isRequired,
  value: _propTypes2.default.string.isRequired,
  label: _propTypes2.default.string
};

Radio.defaultProps = {
  marginY: majorScale(1),
  position: 'relative',
  display: 'block'
};

Radio.displayName = 'Radio';

exports.default = Radio;