'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _css, _css2;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _glamor = require('glamor');

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _offscreenCss = require('./utils/offscreenCss');

var _offscreenCss2 = _interopRequireDefault(_offscreenCss);

var _evergreenColors = require('evergreen-colors');

var _evergreenColors2 = _interopRequireDefault(_evergreenColors);

var _evergreenSegmentedControl = require('evergreen-segmented-control');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var majorScale = _theme2.default.majorScale,
    borderRadius = _theme2.default.borderRadius;

var count = 1; // Used for generating unique input names

var labelClass = (0, _glamor.css)(_extends({
  display: 'flex',
  flex: 1,
  alignItems: 'center',
  justifyContent: 'center',
  position: 'relative'
}, _evergreenSegmentedControl.SegmentedControlAppearances.default));

var wrapperClass = (0, _glamor.css)((_css = {
  position: 'relative',
  display: 'flex',
  flex: 1,
  cursor: 'pointer',
  marginLeft: '-1px'
}, _defineProperty(_css, ':first-child .' + labelClass, {
  borderTopLeftRadius: borderRadius[0],
  borderBottomLeftRadius: borderRadius[0]
}), _defineProperty(_css, ':last-child .' + labelClass, {
  borderTopRightRadius: borderRadius[0],
  borderBottomRightRadius: borderRadius[0]
}), _css));

var inputClass = (0, _glamor.css)((_css2 = {
  ':hover, :focus, :active': _defineProperty({}, '& + .' + labelClass, {
    zIndex: 1
  })
}, _defineProperty(_css2, ':hover + .' + labelClass, {
  // ...controlStateStyles.hover,
}), _defineProperty(_css2, ':active + .' + labelClass, {
  // ...controlStateStyles.active,
}), _defineProperty(_css2, ':checked + .' + labelClass, {
  zIndex: 2,
  color: _evergreenColors2.default.blue['500'],
  backgroundImage: 'none',
  backgroundColor: _evergreenColors2.default.blue['10A']
}), _css2));

function useControlSizes(size) {
  var sizes = _theme2.default.controlSizes[size];

  return {
    minHeight: sizes.minHeight,
    minWidth: sizes.minWidth,
    textStyle: sizes.textStyle,
    paddingX: majorScale(1)
  };
}

function SegmentedControlRadio(props) {
  var size = props.size,
      name = props.name,
      label = props.label,
      value = props.value,
      checked = props.checked,
      _onChange = props.onChange;


  return _react2.default.createElement(
    'label',
    { className: '' + wrapperClass },
    _react2.default.createElement('input', {
      type: 'radio',
      className: _offscreenCss2.default + ' ' + inputClass,
      name: name,
      value: value,
      checked: checked,
      onChange: function onChange(e) {
        return _onChange(e.target.value);
      }
    }),
    _react2.default.createElement(
      _Box2.default,
      _extends({ className: '' + labelClass }, useControlSizes(size)),
      label
    )
  );
}

SegmentedControlRadio.propTypes = {
  size: _propTypes2.default.oneOf(Object.keys(_theme2.default.controlSizes)),
  name: _propTypes2.default.string.isRequired,
  label: _propTypes2.default.node.isRequired,
  value: _propTypes2.default.string.isRequired,
  checked: _propTypes2.default.bool.isRequired,
  onChange: _propTypes2.default.func.isRequired
};

SegmentedControlRadio.displayName = 'SegmentedControlRadio';

var parseProps = function parseProps(_ref) {
  var className = _ref.className,
      options = _ref.options,
      name = _ref.name,
      value = _ref.value,
      defaultValue = _ref.defaultValue,
      onChange = _ref.onChange,
      props = _objectWithoutProperties(_ref, ['className', 'options', 'name', 'value', 'defaultValue', 'onChange']);

  return _extends({}, props);
};

var SegmentedControl = function (_Component) {
  _inherits(SegmentedControl, _Component);

  function SegmentedControl(props) {
    _classCallCheck(this, SegmentedControl);

    var _this = _possibleConstructorReturn(this, (SegmentedControl.__proto__ || Object.getPrototypeOf(SegmentedControl)).call(this));

    var options = props.options,
        defaultValue = props.defaultValue;


    _this.state = {
      value: defaultValue || options[0].value
    };

    // Default name if the name prop isn't set
    _this.name = 'SegmentedControl-' + count;
    count += 1;

    _this.onChange = _this.onChange.bind(_this);
    return _this;
  }

  _createClass(SegmentedControl, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          options = _props.options,
          size = _props.size;

      var name = this.props.name || this.name;
      // Allows it to behave like a controlled input
      var value = this.props.value || this.state.value;

      return _react2.default.createElement(
        _Box2.default,
        _extends({ display: 'flex', marginRight: '-1px' }, parseProps(this.props)),
        options.map(function (option) {
          return _react2.default.createElement(SegmentedControlRadio, {
            key: option.value,
            size: size,
            name: name,
            label: option.label,
            value: option.value,
            checked: value === option.value,
            onChange: _this2.onChange
          });
        })
      );
    }
  }, {
    key: 'onChange',
    value: function onChange(value) {
      // Save a render cycle when it's a controlled input
      if (!this.props.value) {
        this.setState({ value: value });
      }

      if (this.props.onChange) {
        this.props.onChange(value);
      }
    }
  }]);

  return SegmentedControl;
}(_react.Component);

SegmentedControl.propTypes = _extends({}, _Box2.default.propTypes, {
  options: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    label: _propTypes2.default.node.isRequired,
    value: _propTypes2.default.string.isRequired
  })).isRequired,
  size: _propTypes2.default.oneOf(Object.keys(_theme2.default.controlSizes)),
  name: _propTypes2.default.string,
  value: _propTypes2.default.string,
  defaultValue: _propTypes2.default.string,
  onChange: _propTypes2.default.func
});

SegmentedControl.defaultProps = {
  size: 'default'
};

SegmentedControl.displayName = 'SegmentedControl';

exports.default = SegmentedControl;