'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _glamor = require('glamor');

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _theme2.default.majorScale;


var rotate360 = _glamor.css.keyframes('rotate360', {
  'from': {
    transform: 'rotate(0deg)'
  },
  'to': {
    transform: 'rotate(360deg)'
  }
});

var Spinner = function Spinner(props) {
  return _react2.default.createElement(_Box2.default, _extends({}, (0, _glamor.css)({
    '&, &:after': {
      borderRadius: '50%'
    },
    fontSize: '10px',
    position: 'relative',
    textIndent: '-9999em',
    borderTop: '2px solid ' + _theme2.default.colors.primary,
    borderRight: '2px solid ' + _theme2.default.colors.borderColor,
    borderBottom: '2px solid ' + _theme2.default.colors.borderColor,
    borderLeft: '2px solid ' + _theme2.default.colors.borderColor,
    transform: 'translateZ(0)',
    animation: rotate360 + ' 0.5s infinite linear'
  }), props));
};

Spinner.defaultProps = {
  width: majorScale(4),
  height: majorScale(4)
};

Spinner.displayName = 'Spinner';

exports.default = Spinner;