'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _glamor = require('glamor');

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _Text = require('./Text');

var _Text2 = _interopRequireDefault(_Text);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var minorScale = _theme2.default.minorScale;


var ValidationMessageLine = function ValidationMessageLine(props) {
  return _react2.default.createElement(_Box2.default, _extends({}, (0, _glamor.css)({
    borderBottom: '1px solid ' + _theme2.default.colors.borderColor,
    borderLeft: '1px solid ' + _theme2.default.colors.borderColor,
    borderBottomLeftRadius: _theme2.default.borderRadius[0]
  }), props));
};

ValidationMessageLine.defaultProps = {
  width: '8px',
  height: '10px',
  display: 'inline-block',
  position: 'relative',
  marginLeft: 2,
  top: '-3px',
  marginRight: 1
};

ValidationMessageLine.displayName = 'ValidationMessageLine';

var ValidationMessage = function ValidationMessage(props) {
  return _react2.default.createElement(
    _Box2.default,
    { position: 'relative' },
    _react2.default.createElement(ValidationMessageLine, null),
    _react2.default.createElement(_Text2.default, props)
  );
};

ValidationMessage.defaultProps = {
  textStyle: 'body2',
  display: 'inline-block',
  paddingTop: minorScale(1),
  muted: 2
};

ValidationMessage.displayName = 'ValidationMessage';

exports.default = ValidationMessage;