'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseProps = exports.propTypes = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _theme = require('../components/theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var RoundedPropType = _propTypes2.default.oneOfType([_propTypes2.default.bool, _propTypes2.default.oneOf(_theme2.default.borderRadius.map(function (_, i) {
  return i + 1;
})), _propTypes2.default.string]);

var propTypes = exports.propTypes = {
  circle: _propTypes2.default.bool,
  rounded: RoundedPropType,
  roundedTop: RoundedPropType,
  roundedTopLeft: RoundedPropType,
  roundedTopRight: RoundedPropType,
  roundedBottom: RoundedPropType,
  roundedBottomLeft: RoundedPropType,
  roundedBottomRight: RoundedPropType,
  roundedLeft: RoundedPropType,
  roundedRight: RoundedPropType
};

var parseUnit = function parseUnit(unit) {
  if (unit === undefined) {
    return '0';
  } else if (typeof unit === 'boolean') {
    return _theme2.default.borderRadius[0];
  } else if (Number.isInteger(unit)) {
    return _theme2.default.borderRadius[unit - 1];
  }
  return unit;
};

var parseBorderRadius = function parseBorderRadius(_ref) {
  var topLeft = _ref.topLeft,
      topRight = _ref.topRight,
      bottomLeft = _ref.bottomLeft,
      bottomRight = _ref.bottomRight;
  return parseUnit(topLeft) + ' ' + parseUnit(topRight) + ' ' + parseUnit(bottomRight) + ' ' + parseUnit(bottomLeft);
};

var getFirstValidValue = function getFirstValidValue() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  for (var i = 0, len = args.length; i < len; i++) {
    if (args[i] !== undefined) {
      return args[i];
    }
  }
};

var parseProps = function parseProps(_ref2) {
  var circle = _ref2.circle,
      rounded = _ref2.rounded,
      roundedTop = _ref2.roundedTop,
      roundedTopLeft = _ref2.roundedTopLeft,
      roundedTopRight = _ref2.roundedTopRight,
      roundedBottom = _ref2.roundedBottom,
      roundedBottomLeft = _ref2.roundedBottomLeft,
      roundedBottomRight = _ref2.roundedBottomRight,
      roundedLeft = _ref2.roundedLeft,
      roundedRight = _ref2.roundedRight,
      style = _ref2.style,
      props = _objectWithoutProperties(_ref2, ['circle', 'rounded', 'roundedTop', 'roundedTopLeft', 'roundedTopRight', 'roundedBottom', 'roundedBottomLeft', 'roundedBottomRight', 'roundedLeft', 'roundedRight', 'style']);

  var styles = {};

  if (circle) styles.borderRadius = '9999px';else if (rounded !== undefined || roundedTop !== undefined || roundedTopLeft !== undefined || roundedTopRight !== undefined || roundedBottom !== undefined || roundedBottomLeft !== undefined || roundedBottomRight !== undefined || roundedLeft !== undefined || roundedRight !== undefined) {
    styles.borderRadius = parseBorderRadius({
      topLeft: getFirstValidValue(roundedTopLeft, roundedTop, roundedLeft, rounded),
      topRight: getFirstValidValue(roundedTopRight, roundedTop, roundedRight, rounded),
      bottomLeft: getFirstValidValue(roundedBottomLeft, roundedBottom, roundedLeft, rounded),
      bottomRight: getFirstValidValue(roundedBottomRight, roundedBottom, roundedRight, rounded)
    });
  }

  return _extends({ style: _extends({}, styles, style) }, props);
};
exports.parseProps = parseProps;