'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.default = function (module) {
  (0, _react3.storiesOf)('Dialog', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Dialog\n\nThe Dialog component. Implements `<Box />`.\n\n```\nclass DialogExample extends Component {\n  constructor () {\n    super()\n\n    this.state = {\n      isOpen: false\n    }\n\n    this.toggleDialog = this.toggleDialog.bind(this)\n  }\n\n  render () {\n    const {isOpen} = this.state\n\n    return (\n      <Pane display=\'flex\' flexDirection=\'column\' alignItems=\'center\'>\n        <Button primary onClick={this.toggleDialog}>Open Dialog</Button>\n        <Dialog isOpen={isOpen} onClose={this.toggleDialog} title=\'In-development feature\'>\n          <Body1>\n            We\u2019re excited to have you preview this in-development feature.\n            Note that this feature does not meet the standards of a finished\n            product and should only be used with a source-to-source repeater to\n            ensure data reliability.\n          </Body1>\n          <Button primary onClick={this.toggleDialog} marginTop={majorScale(3)}>\n            I Understand The Risks\n          </Button>\n        </Dialog>\n      </Pane>\n    )\n  }\n\n  toggleDialog () {\n    this.setState((prevState) => ({isOpen: !prevState.isOpen}))\n  }\n}\n```\n'
        ),
        _react2.default.createElement(DialogExample, null),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`title`| v7.1.0 | `node` | `undefined` | title of the dialog\n`isOpen`| v7.1.0 | `boolean` | `false` | whether the dialog is open or not\n`children`| v7.1.0 | `node` | `undefined` | contents of the dialog\n`onClose`| v7.1.0 | `function` | `undefined` | [optional] called when the close button or overlay is clicked\n'
        )
      )
    );
  });
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var majorScale = _components.theme.majorScale;

var DialogExample = function (_Component) {
  _inherits(DialogExample, _Component);

  function DialogExample() {
    _classCallCheck(this, DialogExample);

    var _this = _possibleConstructorReturn(this, (DialogExample.__proto__ || Object.getPrototypeOf(DialogExample)).call(this));

    _this.state = {
      isOpen: false
    };

    _this.toggleDialog = _this.toggleDialog.bind(_this);
    return _this;
  }

  _createClass(DialogExample, [{
    key: 'render',
    value: function render() {
      var isOpen = this.state.isOpen;


      return _react2.default.createElement(
        _components.Pane,
        { display: 'flex', flexDirection: 'column', alignItems: 'center' },
        _react2.default.createElement(
          _components.Button,
          { primary: true, onClick: this.toggleDialog },
          'Open Dialog'
        ),
        _react2.default.createElement(
          _components.Dialog,
          { isOpen: isOpen, onClose: this.toggleDialog, title: 'In-development feature' },
          _react2.default.createElement(
            _components.Body1,
            null,
            'We\u2019re excited to have you preview this in-development feature. Note that this feature does not meet the standards of a finished product and should only be used with a source-to-source repeater to ensure data reliability.'
          ),
          _react2.default.createElement(
            _components.Button,
            { primary: true, onClick: this.toggleDialog, marginTop: majorScale(3) },
            'I Understand The Risks'
          )
        )
      );
    }
  }, {
    key: 'toggleDialog',
    value: function toggleDialog() {
      this.setState(function (prevState) {
        return { isOpen: !prevState.isOpen };
      });
    }
  }]);

  return DialogExample;
}(_react.Component);