'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = navigationBarStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;


var AvatarWithTriangle = function AvatarWithTriangle() {
  return _react2.default.createElement(
    _components.Box,
    { display: 'inline-flex', alignItems: 'center' },
    _react2.default.createElement(
      _components.Avatar,
      { marginLeft: majorScale(1), marginRight: majorScale(1), src: '', imageSize: 'small' },
      'Segment Sloth'
    ),
    _react2.default.createElement(_components.Triangle, { aim: 'down', display: 'inline-flex', fill: 'white' })
  );
};

function navigationBarStory(module) {
  (0, _react3.storiesOf)('Navigation Bar', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Navigation Bar\n\nThe NavigationBar component. Composes `<Pane />`.\n\n```\nconst AvatarWithTriangle = () =>\n  <Box display=\'inline-flex\' alignItems=\'center\'>\n    <Avatar marginLeft={majorScale(1)} marginRight={majorScale(1)} src=\'\' imageSize=\'small\'>Segment Sloth</Avatar>\n    <Triangle aim=\'down\'  display=\'inline-flex\' fill=\'white\' />\n  </Box>\n\n<NavigationBar left={\'Sloth Corp Media\'} right={<AvatarWithTriangle />}>Workspaces</NavigationBar>\n```\n\n'
        ),
        _react2.default.createElement(
          _components.NavigationBar,
          { left: 'Sloth Corp Media', right: _react2.default.createElement(AvatarWithTriangle, null) },
          'Workspaces'
        ),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`children` | node/string | undefined | if string wrapped in `<NavigationBarTitle />`\n`left` | node | undefined | optional component next to logo\n`right` | node | undefined | optional component in right corner\n`logo`| node | `<NavigationBarLogo />` | formatted Segment logo\n`height`| string | 58px | formatted Segment logo\n'
        )
      )
    );
  }).add('with title only', function () {
    return _react2.default.createElement(
      _components.NavigationBar,
      null,
      'Workspaces'
    );
  }).add('with title and left component', function () {
    return _react2.default.createElement(
      _components.NavigationBar,
      { left: 'Sloth Corp Media' },
      'Workspaces'
    );
  }).add('with title and right component', function () {
    return _react2.default.createElement(
      _components.NavigationBar,
      { right: _react2.default.createElement(AvatarWithTriangle, null) },
      'Workspaces'
    );
  }).add('with title and left + right component', function () {
    return _react2.default.createElement(
      _components.NavigationBar,
      { left: 'Sloth Corp Media', right: _react2.default.createElement(AvatarWithTriangle, null) },
      'Workspaces'
    );
  });
}