'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = paneStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;


var quickBrownFox = 'The quick brown fox jumps over the lazy dog';

function paneStory(module) {
  (0, _react3.storiesOf)('Pane', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Pane\n\nThe Pane component is the base component to build layouts. Implements `<Box />`.\n\n* Pane is almost the same as a Box, but is opiniated for backgrounds/layouts.\n\n```\n<Pane dark padding={majorScale(2)}>\n  <Body1>' + quickBrownFox + '</Body1>\n</Pane>\n```\n\n'
        ),
        _react2.default.createElement(
          _components.Pane,
          { dark: true, padding: majorScale(2) },
          _react2.default.createElement(
            _components.Body1,
            null,
            quickBrownFox
          )
        ),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n\nprop | type | description\n-----|------|------------\n`dark`    | boolean | dark background\n`white`   | boolean  | white background\n`tint` | boolean/1..2 | tinted background, tint={2} is darker\n`interactive` | boolean | adds a border color on hover and active\n\n'
        )
      )
    );
  }).add('is a clickable card', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { is: _components.Link, href: '#', margin: majorScale(2), interactive: true, border: true, white: true, rounded: true, shadow: true, padding: majorScale(2) },
        _react2.default.createElement(
          _components.Text,
          null,
          quickBrownFox
        )
      )
    );
  }).add('with dark background', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { dark: true, padding: majorScale(2), clearfix: true },
        _react2.default.createElement(
          _components.Text,
          null,
          quickBrownFox
        )
      )
    );
  }).add('with tint background', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { dark: true, padding: majorScale(2) },
        _react2.default.createElement(
          _components.Pane,
          { tint: true, margin: majorScale(2), padding: majorScale(2), clearfix: true },
          'Tint (1)'
        ),
        _react2.default.createElement(
          _components.Pane,
          { tint: 2, margin: majorScale(2), padding: majorScale(2), clearfix: true },
          'Tint 2'
        )
      )
    );
  }).add('with white background', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { dark: true, padding: majorScale(2) },
        _react2.default.createElement(
          _components.Pane,
          { white: true, margin: majorScale(2), padding: majorScale(2), clearfix: true },
          'White'
        )
      )
    );
  }).add('with rounded corners', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { dark: true, clearfix: true },
        _react2.default.createElement(
          _components.Pane,
          { white: true, padding: majorScale(2), margin: majorScale(2), rounded: true },
          'Rounded (1)'
        ),
        _react2.default.createElement(
          _components.Pane,
          { white: true, padding: majorScale(2), margin: majorScale(2), rounded: 2 },
          'Rounded 2'
        )
      )
    );
  }).add('with shadow', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        null,
        _react2.default.createElement(
          _components.Pane,
          { white: true, padding: majorScale(2), margin: majorScale(2), rounded: true, shadow: true },
          'Shadow (1)'
        ),
        _react2.default.createElement(
          _components.Pane,
          { white: true, padding: majorScale(2), margin: majorScale(2), rounded: true, shadow: 2 },
          'Shadow 2'
        )
      )
    );
  }).add('standalone', function () {
    return _react2.default.createElement(
      _components.Pane,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(2), margin: majorScale(2), rounded: true, shadow: true },
        'Shadow (1)'
      ),
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(2), margin: majorScale(2), rounded: true, shadow: 2 },
        'Shadow 2'
      )
    );
  });
}