'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = portalStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function portalStory(module) {
  (0, _react3.storiesOf)('Portal', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Portal\n\n**Available since v2.4.0**\n\nConvenience wrapper around [React\'s Portal API](https://reactjs.org/docs/portals.html).\n\nThe Portal component transports it\'s children outside of the current DOM tree\nand appends it to body. It\'s used by the `Popover` component internally.\n\n```\n<Portal>\n  <Button primary>Hello world</Button>\n</Portal>\n```\n\n'
        ),
        _react2.default.createElement(
          _components.Portal,
          null,
          _react2.default.createElement(
            _components.Button,
            { primary: true },
            'Hello world'
          )
        ),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|-------------\n`children` | v2.4.0 | node | `undefined` | appends component to the body outside of the current DOM tree\n'
        )
      )
    );
  });
}