'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.default = function (module) {
  (0, _react3.storiesOf)('SegmentedControl', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# SegmentedControl\n\nThe SegmentedControl component, it\'s a fancy radio. Implements `<Box />`.\n\nUses regular `input[type=radio]`\'s under the hood.\n\n```\nclass SegmentedControlExample extends Component {\n  constructor () {\n    super()\n\n    this.options = [\n      {label: \'Hourly\', value: \'hourly\'},\n      {label: \'Daily\', value: \'daily\'},\n      {label: \'Monthly\', value: \'monthly\'}\n    ]\n\n    this.state = {\n      value: this.options[1].value\n    }\n  }\n\n  render () {\n    const {value} = this.state\n\n    return (\n      <Pane display=\'flex\' flexDirection=\'column\' alignItems=\'center\'>\n        <SegmentedControl\n          options={this.options}\n          value={value}\n          onChange={(value) => this.setState({value})}\n          width={majorScale(40)}\n        />\n        <Pane marginY={majorScale(1)}>\n          {value}\n        </Pane>\n      </Pane>\n    )\n  }\n}\n```\n'
        ),
        _react2.default.createElement(SegmentedControlExample, null),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`options`| v7.0.0 | `[ { label: node, value: string } ]` | `undefined` | array of options to render\n`size`| v7.0.0 | `default`, `small` | `default` | [optional] as defined by `theme.controlSizes`\n`name`| v7.0.0 | `string` | `SegmentedControl-*` | [optional] `name` of the `input[type=radio]`\'s\n`value`| v7.0.0 | `string` | `undefined` | [optional] sets the active option. setting this makes it a controlled input\n`defaultValue`| v7.0.0 | `string` | `undefined` | [optional] sets the default active option\n`onChange`| v7.0.0 | `function` | `undefined` | [optional] callback passed the value of the new active option\n'
        )
      )
    );
  });
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var majorScale = _components.theme.majorScale;

var SegmentedControlExample = function (_Component) {
  _inherits(SegmentedControlExample, _Component);

  function SegmentedControlExample() {
    _classCallCheck(this, SegmentedControlExample);

    var _this = _possibleConstructorReturn(this, (SegmentedControlExample.__proto__ || Object.getPrototypeOf(SegmentedControlExample)).call(this));

    _this.options = [{ label: 'Hourly', value: 'hourly' }, { label: 'Daily', value: 'daily' }, { label: 'Monthly', value: 'monthly' }];

    _this.state = {
      value: _this.options[1].value
    };
    return _this;
  }

  _createClass(SegmentedControlExample, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var value = this.state.value;


      return _react2.default.createElement(
        _components.Pane,
        { display: 'flex', flexDirection: 'column', alignItems: 'center' },
        _react2.default.createElement(_components.SegmentedControl, {
          options: this.options,
          value: value,
          onChange: function onChange(value) {
            return _this2.setState({ value: value });
          },
          width: majorScale(40)
        }),
        _react2.default.createElement(
          _components.Pane,
          { marginY: majorScale(1) },
          value
        )
      );
    }
  }]);

  return SegmentedControlExample;
}(_react.Component);