'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = subNavigationBarStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function subNavigationBarStory(module) {
  (0, _react3.storiesOf)('Sub Navigation Bar', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Sub Navigation Bar\n\nThe SubNavigationBar component. Implements `<Pane />`.\n\n```\n<SubNavigationBar left={\'Sources\'}>\n  {[\'Overview\', \'Integrations\', \'Debugger\', \'Schema\', \'Settings\'].map(name =>\n    <SubNavigationBarLink key={name} href=\'#\' active={name === \'Overview\'}>\n      {name}\n    </SubNavigationBarLink>\n  )}\n</SubNavigationBar>\n```\n\n'
        ),
        _react2.default.createElement(
          _components.SubNavigationBar,
          { left: 'Sources' },
          ['Overview', 'Integrations', 'Debugger', 'Schema', 'Settings'].map(function (name) {
            return _react2.default.createElement(
              _components.SubNavigationBarLink,
              { key: name, href: '#', active: name === 'Overview' },
              name
            );
          })
        ),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true, marginTop: majorScale(2) },
          '\nprop | type | default | description\n-----|------| --------|-------------\n`children` | node | undefined | optional component in center\n`left` | node/string | undefined | if string wrapped in `<SubNavigationBarTitle />`\n`right` | node | undefined | optional component in right corner\n'
        )
      )
    );
  }).add('standalone', function () {
    return _react2.default.createElement(
      _components.SubNavigationBar,
      { left: 'Sources' },
      ['Overview', 'Integrations', 'Debugger', 'Schema', 'Settings'].map(function (name) {
        return _react2.default.createElement(
          _components.SubNavigationBarLink,
          { key: name, href: '#', active: name === 'Overview' },
          name
        );
      })
    );
  });
}